## workrave 1.10.50

=== build/cmake/common/CMakeLists.txt ===
project(Workrave)

SET(COMMON_DIR ${CMAKE_SOURCE_DIR}/../../common)

set(COMMON_SOURCES 
  ${COMMON_DIR}/src/debug.cc
  ${COMMON_DIR}/src/GlibThread.cc
  ${COMMON_DIR}/src/Locale.cc
  ${COMMON_DIR}/src/StringUtil.cc
  ${COMMON_DIR}/src/Util.cc
  ${COMMON_DIR}/include/Exception.hh
  ${COMMON_DIR}/include/GlibMutex.hh
  ${COMMON_DIR}/include/GlibThread.hh
  ${COMMON_DIR}/include/Locale.hh
  ${COMMON_DIR}/include/Mutex.hh
  ${COMMON_DIR}/include/Runnable.hh
  ${COMMON_DIR}/include/StringUtil.hh
  ${COMMON_DIR}/include/Thread.hh
  ${COMMON_DIR}/include/Util.hh
  ${COMMON_DIR}/include/debug.hh
  ${COMMON_DIR}/include/nls.h
  ${COMMON_DIR}/include/timeutil.h
)

if (HAVE_DBUS)
  set (COMMON_SOURCES ${COMMON_SOURCES}
    ${COMMON_DIR}/include/DBus.hh
    ${COMMON_DIR}/include/DBus-freedesktop.hh
    ${COMMON_DIR}/include/DBusBinding.hh
    ${COMMON_DIR}/include/DBusBinding-freedesktop.hh
    ${COMMON_DIR}/include/DBusException.hh
    ${COMMON_DIR}/src/DBus-freedesktop.cc
    ${COMMON_DIR}/src/DBusBinding-freedesktop.cc
  )
  include_directories(${DBUS_INCLUDES})
endif (HAVE_DBUS)

if (WIN32)
  set (COMMON_SOURCES ${COMMON_SOURCES}
    ${COMMON_DIR}/include/win32/crashlog.h
    ${COMMON_DIR}/include/win32/W32CriticalSection.hh
    ${COMMON_DIR}/src/win32/crashlog.cc
    ${COMMON_DIR}/src/win32/W32CriticalSection.cc
  )
endif (WIN32)

if (UNIX)
  set (COMMON_SOURCES ${COMMON_SOURCES}
    ${COMMON_DIR}/include/unix/Sound.hh
  )
endif (UNIX)

if (HAVE_DISTRIBUTION)
  set (COMMON_SOURCES ${COMMON_SOURCES}
    ${COMMON_DIR}/include/WRID.hh 
    ${COMMON_DIR}/src/WRID.cc
 )
endif (HAVE_DISTRIBUTION)

add_definitions(-D_XOPEN_SOURCE=600)

include_directories( 
  "${COMMON_DIR}/include"
  "${COMMON_DIR}/include/win32"
  "${COMMON_DIR}/win32/harpoon/include"
  "${COMMON_DIR}/win32/harpoonHelper/include"
)

if (HAVE_DBUS)
  include_directories(${DBUS_INCLUDES})
endif(HAVE_DBUS)
include_directories(${GLIB_INCLUDES})

add_library(workrave-common STATIC ${COMMON_SOURCES})

=== debian/changelog ===
workrave (1.10.50-3) unstable; urgency=medium

  [ Francois Marier ]
  * Update watch file to account for GitHub changes
  * Run wrap_and_sort -ast
  * Add Wayland work-around (fixes: #980873).
  * Bump Standards-Version up to 4.6.2.
  * Bump copyright year in debian/copyright.
  * Convert example dbus script to Python 3.
  * Remove redundant gnome-shell dependency.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on gobject-introspection,
      libdbusmenu-glib-dev, libdbusmenu-gtk3-dev, libgirepository1.0-dev,
      libglib2.0-0, libglibmm-2.4-dev, libgtk-3-dev, libgtkmm-3.0-dev,
      libpulse-dev and libsigc++-2.0-dev.
    + workrave-gnome: Drop versioned constraint on gnome-shell in Depends.

 -- Francois Marier <francois@debian.org>  Thu, 26 Jan 2023 21:53:43 -0800

workrave (1.10.50-2) unstable; urgency=medium

  [ Jeremy Bicha ]
   * Add patch to declare compatibility with GNOME Shell 43
   * Bump maximum GNOME Shell to 43

  [ Francois Marier ]
  * Update Standards-Version to 4.6.1.

 -- Francois Marier <francois@debian.org>  Mon, 22 Aug 2022 23:03:20 -0700

workrave (1.10.50-1) unstable; urgency=medium

  [ Jordi Mallach ]
  * Drop unused dbus-glib Build-Dep (closes: #955965).

  [ Francois Marier ]
  * New upstream release
  * Drop gnome_42 patch (applied upstream).

 -- Francois Marier <francois@debian.org>  Sat, 02 Apr 2022 20:51:59 -0700

workrave (1.10.49-3) unstable; urgency=medium

  * Let workrave suggest workrave extensions/plugins instead of the
    desktop environment packages directly.
  * Add patch to declare support for GNOME Shell 42.
  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Tue, 22 Mar 2022 13:22:16 +0100

workrave (1.10.49-2) experimental; urgency=medium

  * Drop obsolete Breaks/Replaces.
  * Split applets into different binary packages to avoid pulling in
    a plethora of unwanted dependencies (closes: #783845).
  * Tighten GNOME shell deps according to metadata.json (closes: #802511).

 -- Jordi Mallach <jordi@debian.org>  Sun, 06 Feb 2022 11:49:15 +0100

workrave (1.10.49-1) unstable; urgency=medium

  * New upstream release
  * Bump copyright years in debian/copyright.

 -- Francois Marier <francois@debian.org>  Thu, 06 Jan 2022 21:37:46 -0800

workrave (1.10.48-2) unstable; urgency=medium

  [ Jordi Mallach ]
  * Fix Repository field in upstream metadata.
  * Use https upstream urls and point to GitHub issue tracker.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 1.2.2.cvs20030617-1.

  [ Francois Marier ]
  * Fix ayatana-indicators3 install directory (closes: #1002248).

 -- Francois Marier <francois@debian.org>  Fri, 24 Dec 2021 13:58:16 -0800

workrave (1.10.48-1) unstable; urgency=medium

  [ Francois Marier ]
  * Update watch file to account for GitHub changes.

  [ Jordi Mallach ]
  * New upstream release.
  * Adapt watch file to further filename changes in GitHub releases.
  * Drop obsolete patches.
  * Update Standards-Version to 4.6.0.

 -- Jordi Mallach <jordi@debian.org>  Fri, 17 Sep 2021 12:47:23 +0200

=== debian/control ===
Source: workrave
Section: gnome
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Uploaders:
 Jordi Mallach <jordi@debian.org>,
Build-Depends:
 autoconf-archive,
 debhelper-compat (= 13),
 docbook-utils,
 gobject-introspection,
 gsettings-desktop-schemas-dev,
 intltool,
 libayatana-indicator3-dev,
 libboost-dev,
 libdbusmenu-glib-dev,
 libdbusmenu-gtk3-dev,
 libgdome2-dev,
 libgirepository1.0-dev,
 libglib2.0-0,
 libglibmm-2.4-dev,
 libgnome-panel-dev (>= 3.37.1),
 libgstreamer1.0-dev,
 libgtk-3-dev,
 libgtkmm-3.0-dev,
 libmate-panel-applet-dev,
 libpulse-dev,
 libsigc++-2.0-dev,
 libxfce4panel-2.0-dev,
 libxi-dev,
 libxmu-dev,
 libxss-dev,
 libxtst-dev,
 python3-jinja2,
 xmlto,
Build-Conflicts:
 libgstreamer0.10-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://workrave.org/
Vcs-Git: https://salsa.debian.org/debian/workrave.git
Vcs-Browser: https://salsa.debian.org/debian/workrave

Package: workrave-ayatana
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 workrave (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 workrave (<< 1.10.49-2),
Replaces:
 workrave (<< 1.10.49-2),
Description: Repetitive Strain Injury prevention tool (Ayatana Indicator)
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.
 .
 This package includes a Workrave Ayatana Indicator for desktop
 environments that are capable of displaying them.

Package: workrave-cinnamon
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 cinnamon-core,
 workrave (>= ${source:Version}),
 ${misc:Depends},
Breaks:
 workrave-data (<< 1.10.49-2),
Replaces:
 workrave-data (<< 1.10.49-2),
Description: Repetitive Strain Injury prevention tool (Cinnamon integration)
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.
 .
 This package includes a Workrave extension for Cinnamon.

Package: workrave-gnome
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gnome-shell (<< 44~),
 workrave (>= ${source:Version}),
 ${misc:Depends},
Breaks:
 workrave-data (<< 1.10.49-2),
Replaces:
 workrave-data (<< 1.10.49-2),
Description: Repetitive Strain Injury prevention tool (GNOME integration)
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.
 .
 This package includes a Workrave GNOME Shell extension.

Package: workrave-gnome-flashback
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gnome-panel,
 workrave (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 workrave (<< 1.10.49-2),
 workrave-data (<< 1.10.49-2),
Replaces:
 workrave (<< 1.10.49-2),
 workrave-data (<< 1.10.49-2),
Description: Repetitive Strain Injury prevention tool (GNOME panel applet)
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.
 .
 This package includes a Workrave applet for GNOME Flashback.

Package: workrave-mate
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 mate-panel,
 workrave (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 workrave (<< 1.10.49-2),
 workrave-data (<< 1.10.49-2),
Replaces:
 workrave (<< 1.10.49-2),
 workrave-data (<< 1.10.49-2),
Description: Repetitive Strain Injury prevention tool (MATE panel applet)
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.
 .
 This package includes a Workrave applet for the MATE panel.

Package: workrave-xfce4
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 workrave (>= ${binary:Version}),
 xfce4-panel,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 workrave (<< 1.10.49-2),
 workrave-data (<< 1.10.49-2),
Replaces:
 workrave (<< 1.10.49-2),
 workrave-data (<< 1.10.49-2),
Description: Repetitive Strain Injury prevention tool (Xfce4 panel plugin)
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.
 .
 This package includes a Workrave plugin for the Xfce4 panel.

Package: workrave
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 workrave-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 workrave-ayatana,
 workrave-cinnamon,
 workrave-gnome,
 workrave-gnome-flashback,
 workrave-mate,
 workrave-xfce4,
Description: Repetitive Strain Injury prevention tool
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.

Package: workrave-data
Architecture: all
Depends:
 ${misc:Depends},
Description: Repetitive Strain Injury prevention tool (data files)
 Workrave is a program that assists in the recovery and prevention of
 Repetitive Strain Injury (RSI). The program frequently alerts you to
 take micro-pauses, rest breaks and restricts you to your daily limit.
 .
 It includes a system tray applet that works with GNOME and KDE
 and has network capabilities to monitor your activity even if
 switching back and forth between different computers is part of your
 job.
 .
 Workrave offers many more configuration options than other similar
 tools.
 .
 This package contains the required data files common to all architectures.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CXXFLAGS += -std=c++11

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=\$${prefix}/lib/gnome-applets \
		--disable-dependency-tracking \
		--disable-static \
		--enable-dbus \
		--enable-gsettings \
		--enable-indicator \
		--enable-exercises \
		--enable-mate \
		--enable-xfce \
		--disable-gconf

override_dh_compress:
	dh_compress --exclude=gnuplot-workrave --exclude=workrave-dump

override_dh_install:
	find debian -name '*.la' -print -delete
	find debian -name 'libworkrave-*private*.so' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installexamples-arch:
	dh_installexamples
	chmod +x $(CURDIR)/debian/workrave/usr/share/doc/workrave/examples/gnuplot-workrave
	chmod +x $(CURDIR)/debian/workrave/usr/share/doc/workrave/examples/workrave-dump

override_dh_auto_test:

=== debian/watch ===
version=4
opts="\
    uversionmangle=s/_/./g" \
https://github.com/rcaelers/workrave/tags .*/releases/tag/v([0-9_]+)

## workrave 1.10.52

=== build/win32/docker/Makefile ===
######################################################################
# Defines
######################################################################
BUILD_DATE=`date +"%Y%m%d"`

TINDERBOX_HOME=/workspace
TINDERBOX_SNAPSHOTS_DIR=${TINDERBOX_HOME}/snapshots
TINDERBOX_BIN_DIR=${TINDERBOX_SNAPSHOTS_DIR}/v1_10/${BUILD_DATE}

WIN32_MAKERUNTIME=${TINDERBOX_HOME}/make-runtime.sh
WIN32_MINGW_ENV=${TINDERBOX_HOME}/env
WIN32_ISCC=${TINDERBOX_HOME}/inno/app/ISCC.exe

WORKRAVE_GIT_DIR=${TINDERBOX_HOME}/source/workrave
CONF_FLAGS = --quiet

WORKRAVE_GIT_BRANCH=branch_v1_10

WORKRAVE_LONG_GIT_VERSION=`( cd ${WORKRAVE_GIT_DIR} ; git describe --tags --abbrev=10 --dirty 2>/dev/null )`
WORKRAVE_GIT_VERSION=`( cd ${WORKRAVE_GIT_DIR} ; git describe --tags --abbrev=10 --dirty 2>/dev/null | sed -e 's/-g.*//' )`
WORKRAVE_VERSION=`cat ${WORKRAVE_GIT_DIR}/configure.ac | grep AM_INIT_AUTOMAKE | cut -d ','  -f2 | cut -d' ' -f2 | cut -d')' -f1`
#WORKRAVE_PREVERSION=`cat ${WORKRAVE_GIT_DIR}/configure.ac | grep AM_INIT_AUTOMAKE | perl -ne ' $$_ =~ /.*([0-9]+).([0-9]+).([0-9]+)/ ; printf "%d.%d.%d.99", $$1, $$2, ($$3 - 1) '`

unix2dos=perl -e 'while (<>) { s/$$/\r/; print; }'

######################################################################
# Miscellaneous
######################################################################

usage:
	@echo Usage: "make all" to make all files from scratch

all: setup workrave-win32-all

debug: workrave-win32-debug-setup

setup:
	( cd ${WORKRAVE_GIT_DIR}; \
	  mkdir -p ${TINDERBOX_BIN_DIR}; \
  )

######################################################################
# GIT
######################################################################

git-pull:
	( cd ${WORKRAVE_GIT_DIR}; \
    git clean -fdx; \
    git checkout ${WORKRAVE_GIT_BRANCH}; \
	  git reset --hard HEAD; \
	  git pull; \
	  git describe --tags --abbrev=10 --dirty )

######################################################################
# Windows
######################################################################

workrave-win32-dir=\
	( cd ${1}; \
    git clean -fdx; \
	  cd ${1}/frontend/gtkmm/win32/setup/; \
	  ${WIN32_MAKERUNTIME} ${WORKRAVE_GIT_DIR}; )

workrave-win32-build=\
	( cd ${1}/common/win32/harpoonHelper/src; \
    mkdir Release; \
	  cp -a ${TINDERBOX_HOME}/prebuilt/${3}64/harpoonHelper.exe Release; \
	  cd ${1}/common/win32/harpoon/src; \
    mkdir Release; \
	  cp -a ${TINDERBOX_HOME}/prebuilt/${3}/harpoon.dll Release; \
	  cp -a ${TINDERBOX_HOME}/prebuilt/${3}64/harpoon64.dll Release; \
    cd ${1}/frontend/applets/win32/src; \
    mkdir Release; \
	  cp -a ${TINDERBOX_HOME}/prebuilt/${3}/workrave-applet.dll Release; \
	  cp -a ${TINDERBOX_HOME}/prebuilt/${3}64/workrave-applet64.dll Release); \
	( cd ${1}; \
	  . ${WIN32_MINGW_ENV}; \
	  bash ./build/win32/autogencross.sh ${CONF_FLAGS} ${2} && make ; \
	  cp -a ${1}/frontend/gtkmm/src/.libs/workrave.exe ${1}/frontend/gtkmm/src; \
	  $$TARGET-nm -nosC --line-numbers ${1}/frontend/gtkmm/src/workrave.exe >${1}/frontend/gtkmm/src/workrave.sym)

workrave-win32-strip=\
	(  . ${WIN32_MINGW_ENV}; \
	$$TARGET-strip ${1}/frontend/gtkmm/src/workrave.exe )

workrave-win32-setup=\
	( cd ${1}/frontend/gtkmm/win32/setup/; \
	  unix2dos setup.iss; \
	  wine "${WIN32_ISCC}" setup.iss ); \
	( cd ${WORKRAVE_GIT_DIR}; \
	  git status; ); \
	  mv ${1}/frontend/gtkmm/win32/setup/Output/setup.exe ${TINDERBOX_BIN_DIR}/workrave-win32-${WORKRAVE_LONG_GIT_VERSION}-${BUILD_DATE}-${2}.exe; \
	  bzip2 -c ${1}/frontend/gtkmm/src/workrave.sym >${TINDERBOX_BIN_DIR}/workrave-win32-${WORKRAVE_LONG_GIT_VERSION}-${BUILD_DATE}-${2}.sym.bz2;

workrave-win32-release-dir:
	$(call workrave-win32-dir,${WORKRAVE_GIT_DIR})

workrave-win32-release-build: workrave-win32-release-dir
	$(call workrave-win32-build,${WORKRAVE_GIT_DIR},--disable-debug,Release)
	$(call workrave-win32-strip,${WORKRAVE_GIT_DIR})

workrave-win32-release-setup: workrave-win32-release-build
	$(call workrave-win32-setup,${WORKRAVE_GIT_DIR},installer)

workrave-win32-debug-dir: 
	$(call workrave-win32-dir,${WORKRAVE_GIT_DIR})

workrave-win32-debug-build: workrave-win32-debug-dir
	$(call workrave-win32-build,${WORKRAVE_GIT_DIR},--enable-debug --enable-tracing,Debug)

workrave-win32-debug-setup: workrave-win32-debug-build
	$(call workrave-win32-setup,${WORKRAVE_GIT_DIR},debug-installer)
	( cd ${WORKRAVE_GIT_DIR}/frontend/gtkmm/src; \
	  zip ${TINDERBOX_BIN_DIR}/workrave-win32-${WORKRAVE_LONG_GIT_VERSION}-${BUILD_DATE}-debug.zip workrave.exe )

workrave-win32-all: \
		workrave-win32-release-setup \
		workrave-win32-debug-setup 

######################################################################
# Source
######################################################################

workrave-source: 
	( cd ${WORKRAVE_GIT_DIR}; \
	  ./autogen.sh --disable-gnome \
	  && make dist \
	  && mv ${WORKRAVE_GIT_DIR}/workrave-${WORKRAVE_VERSION}.tar.gz ${TINDERBOX_BIN_DIR}/workrave-src-${WORKRAVE_LONG_GIT_VERSION}-${BUILD_DATE}.tar.gz )

######################################################################
# Upload
######################################################################
upload-purge:
	for i in `find ${TINDERBOX_SNAPSHOTS_DIR}/v1_10 -type d -mtime +5 -print`; \
	do \
		echo Purging old snapshot: $$i; \
		rm -rf $$i; \
	done

upload:
	( cd ${TINDERBOX_SNAPSHOTS_DIR} ; \
    rsync -rv --delete --rsh=ssh . workrave@liberator.krandor.org:/home/workrave/public_html )

=== debian/changelog ===
workrave (1.10.52-6) unstable; urgency=medium

  * Add build-depend on libxfce4ui-2-dev (closes: #1091108)

 -- Francois Marier <francois@debian.org>  Sun, 22 Dec 2024 17:48:44 -0800

workrave (1.10.52-5) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add patch to mark compatible with GNOME Shell 47 (Closes: #1079260)
  * Bump maximum GNOME Shell to 47

  [ Francois Marier ]
  * Bump Standards-Version up to 4.7.0
  * Bump copyright year in debian/copyright.

 -- Francois Marier <francois@debian.org>  Fri, 13 Sep 2024 21:51:21 -0700

workrave (1.10.52-3) unstable; urgency=medium

  * Build with --enable-gnome45 option (closes: #1052115)
  * debian/control: Bump minimum GNOME Shell to 45 to match metadata.json

 -- Francois Marier <francois@debian.org>  Sat, 13 Jul 2024 10:10:57 -0700

workrave (1.10.52-2) unstable; urgency=medium

  * Update Build-Depends to libglib2.0-0t64 (closes: #1068062)
  * Add support for gnome-shell 46 (closes: #1052115)

 -- Francois Marier <francois@debian.org>  Sun, 31 Mar 2024 15:35:10 -0700

workrave (1.10.52-1) unstable; urgency=medium

  * New upstream release
    - adds optional build-time support for GNOME 45 (This will be enabled
      later to fix bug #1052115.)
  * Fix GitHub watch file.

 -- Francois Marier <francois@debian.org>  Tue, 26 Sep 2023 09:58:08 -0700

workrave (1.10.51.1-5) unstable; urgency=medium

  * Add missing Breaks in workrave package.
  * Drop obsolete Breaks, Replaces and Build-Conflicts from debian/control.

 -- Francois Marier <francois@debian.org>  Sun, 17 Sep 2023 11:52:39 -0700

workrave (1.10.51.1-4) unstable; urgency=medium

  * Patch upstream appdata.xml to improve GNOME Software listing.
  * Move appdata.xml to the workrave package.
  * Move /usr/share/gir-1.0/ to the workrave package (lintian warning).
  * Drop private_dirs patch which has been disabled since 2012.

 -- Francois Marier <francois@debian.org>  Sun, 17 Sep 2023 11:05:17 -0700

workrave (1.10.51.1-3) unstable; urgency=medium

  * Add missing libgtk-4-dev build dependency (closes: #1050303)

 -- Francois Marier <francois@debian.org>  Sat, 26 Aug 2023 10:09:21 -0700

workrave (1.10.51.1-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Bump maximum GNOME Shell to 44.

 -- Francois Marier <francois@debian.org>  Mon, 19 Jun 2023 19:29:04 -0700

workrave (1.10.51.1-1) unstable; urgency=medium

  * New upstream release
    - Add compatibility for GNOME Shell 44 (closes: #1037163)
    - Drop gnome-shell-43.patch

 -- Francois Marier <francois@debian.org>  Sun, 18 Jun 2023 14:07:31 -0700

=== debian/control ===
--- 
+++ 
@@ -17,25 +17,25 @@
  libdbusmenu-gtk3-dev,
  libgdome2-dev,
  libgirepository1.0-dev,
- libglib2.0-0,
+ libglib2.0-0t64,
  libglibmm-2.4-dev,
  libgnome-panel-dev (>= 3.37.1),
  libgstreamer1.0-dev,
  libgtk-3-dev,
+ libgtk-4-dev,
  libgtkmm-3.0-dev,
  libmate-panel-applet-dev,
  libpulse-dev,
  libsigc++-2.0-dev,
  libxfce4panel-2.0-dev,
+ libxfce4ui-2-dev,
  libxi-dev,
  libxmu-dev,
  libxss-dev,
  libxtst-dev,
  python3-jinja2,
  xmlto,
-Build-Conflicts:
- libgstreamer0.10-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://workrave.org/
 Vcs-Git: https://salsa.debian.org/debian/workrave.git
@@ -49,10 +49,6 @@
  workrave (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- workrave (<< 1.10.49-2),
-Replaces:
- workrave (<< 1.10.49-2),
 Description: Repetitive Strain Injury prevention tool (Ayatana Indicator)
  Workrave is a program that assists in the recovery and prevention of
  Repetitive Strain Injury (RSI). The program frequently alerts you to
@@ -77,10 +73,6 @@
  cinnamon-core,
  workrave (>= ${source:Version}),
  ${misc:Depends},
-Breaks:
- workrave-data (<< 1.10.49-2),
-Replaces:
- workrave-data (<< 1.10.49-2),
 Description: Repetitive Strain Injury prevention tool (Cinnamon integration)
  Workrave is a program that assists in the recovery and prevention of
  Repetitive Strain Injury (RSI). The program frequently alerts you to
@@ -101,13 +93,10 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- gnome-shell (<< 44~),
+ gnome-shell (>= 45~),
+ gnome-shell (<< 48~),
  workrave (>= ${source:Version}),
  ${misc:Depends},
-Breaks:
- workrave-data (<< 1.10.49-2),
-Replaces:
- workrave-data (<< 1.10.49-2),
 Description: Repetitive Strain Injury prevention tool (GNOME integration)
  Workrave is a program that assists in the recovery and prevention of
  Repetitive Strain Injury (RSI). The program frequently alerts you to
@@ -132,12 +121,6 @@
  workrave (>= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- workrave (<< 1.10.49-2),
- workrave-data (<< 1.10.49-2),
-Replaces:
- workrave (<< 1.10.49-2),
- workrave-data (<< 1.10.49-2),
 Description: Repetitive Strain Injury prevention tool (GNOME panel applet)
  Workrave is a program that assists in the recovery and prevention of
  Repetitive Strain Injury (RSI). The program frequently alerts you to
@@ -162,12 +145,6 @@
  workrave (>= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- workrave (<< 1.10.49-2),
- workrave-data (<< 1.10.49-2),
-Replaces:
- workrave (<< 1.10.49-2),
- workrave-data (<< 1.10.49-2),
 Description: Repetitive Strain Injury prevention tool (MATE panel applet)
  Workrave is a program that assists in the recovery and prevention of
  Repetitive Strain Injury (RSI). The program frequently alerts you to
@@ -192,35 +169,31 @@
  xfce4-panel,
  ${misc:Depends},
  ${shlibs:Depends},
+Description: Repetitive Strain Injury prevention tool (Xfce4 panel plugin)
+ Workrave is a program that assists in the recovery and prevention of
+ Repetitive Strain Injury (RSI). The program frequently alerts you to
+ take micro-pauses, rest breaks and restricts you to your daily limit.
+ .
+ It includes a system tray applet that works with GNOME and KDE
+ and has network capabilities to monitor your activity even if
+ switching back and forth between different computers is part of your
+ job.
+ .
+ Workrave offers many more configuration options than other similar
+ tools.
+ .
+ This package includes a Workrave plugin for the Xfce4 panel.
+
+Package: workrave
+Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ workrave-data (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Breaks:
- workrave (<< 1.10.49-2),
- workrave-data (<< 1.10.49-2),
-Replaces:
- workrave (<< 1.10.49-2),
- workrave-data (<< 1.10.49-2),
-Description: Repetitive Strain Injury prevention tool (Xfce4 panel plugin)
- Workrave is a program that assists in the recovery and prevention of
- Repetitive Strain Injury (RSI). The program frequently alerts you to
- take micro-pauses, rest breaks and restricts you to your daily limit.
- .
- It includes a system tray applet that works with GNOME and KDE
- and has network capabilities to monitor your activity even if
- switching back and forth between different computers is part of your
- job.
- .
- Workrave offers many more configuration options than other similar
- tools.
- .
- This package includes a Workrave plugin for the Xfce4 panel.
-
-Package: workrave
-Architecture: any
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- workrave-data (= ${source:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
+ workrave-data (<< 1.10.51.1-4),
 Suggests:
  workrave-ayatana,
  workrave-cinnamon,

## workrave 1.10.53

=== debian/changelog ===
workrave (1.10.53-2) unstable; urgency=medium

  * Add missing Replaces in debian/control (closes: #1101970)
  * Add debian/gbp.conf to force pristine-tar OFF temporarily
  * Bump Standards-Version up to 4.7.2

 -- Francois Marier <francois@debian.org>  Thu, 03 Apr 2025 21:01:40 -0700

workrave (1.10.53-1) unstable; urgency=medium

  * New upstream release (closes: #1096060)
    - drop gnome-shell-46.patch and gnome48.patch (applied upstream)
  * Sort debian/control using "debputy reformat --style black"
  * Bump copyright years in debian/copyright

 -- Francois Marier <francois@debian.org>  Sun, 16 Feb 2025 09:18:25 -0800

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders:
  Jordi Mallach <jordi@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  autoconf-archive,
- debhelper-compat (= 13),
  docbook-utils,
  gobject-introspection,
  gsettings-desktop-schemas-dev,
@@ -35,7 +35,7 @@
  libxtst-dev,
  python3-jinja2,
  xmlto,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://workrave.org/
 Vcs-Git: https://salsa.debian.org/debian/workrave.git
@@ -93,8 +93,8 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
+ gnome-shell (<< 49~),
  gnome-shell (>= 45~),
- gnome-shell (<< 48~),
  workrave (>= ${source:Version}),
  ${misc:Depends},
 Description: Repetitive Strain Injury prevention tool (GNOME integration)
@@ -193,6 +193,8 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
+ workrave-data (<< 1.10.51.1-4),
+Replaces:
  workrave-data (<< 1.10.51.1-4),
 Suggests:
  workrave-ayatana,

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 		--disable-dependency-tracking \
 		--disable-static \
 		--enable-dbus \
+		--enable-gnome45 \
 		--enable-gsettings \
 		--enable-indicator \
 		--enable-exercises \
